digikam version 4:2.5.0-1ubuntu1 failed to build on armhf

Bug #945343 reported by Ricardo Salveti on 2012-03-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
digikam (Ubuntu)
High
Rohan Garg

Bug Description

digikam version 4:2.5.0-1ubuntu1 failed to build on armhf
Link to failed build: https://launchpad.net/ubuntu/+source/digikam/4:2.5.0-1ubuntu1/+build/3215911

Direct link to the build log: https://launchpad.net/ubuntu/+source/digikam/4:2.5.0-1ubuntu1/+build/3215911/+files/buildlog_ubuntu-precise-armhf.digikam_4%3A2.5.0-1ubuntu1_FAILEDTOBUILD.txt.gz

This log snippet might be of interest, since it triggered the matcher 'Purging chroot-autobuild'.
Excerpt 22252 lines into the build log:

                 from /build/buildd/digikam-2.5.0/extra/kipi-plugins/piwigoexport/piwigotalker.cpp:27:
/usr/include/qt4/QtCore/qstring.h: At global scope:
/usr/include/qt4/QtCore/qstring.h:174:17: note: the mangling of 'va_list' has changed in GCC 4.4
Linking CXX shared module ../../../lib/kipiplugin_piwigoexport.so
cd /build/buildd/digikam-2.5.0/obj-arm-linux-gnueabihf/extra/kipi-plugins/piwigoexport && /usr/bin/cmake -E cmake_link_script CMakeFiles/kipiplugin_piwigoexport.dir/link.txt --verbose=1
/usr/bin/c++ -fPIC -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -Werror=return-type -fvisibility-inlines-hidden -DNDEBUG -DQT_NO_DEBUG -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,--as-needed -shared -Wl,-soname,kipiplugin_piwigoexport.so -o ../../../lib/kipiplugin_piwigoexport.so CMakeFiles/kipiplugin_piwigoexport.dir/kipiplugin_piwigoexport_automoc.cpp.o CMakeFiles/kipiplugin_piwigoexport.dir/plugin_piwigoexport.cpp.o CMakeFiles/kipiplugin_piwigoexport.dir/piwigos.cpp.o CMakeFiles/kipiplugin_piwigoexport.dir/piwigoconfig.cpp.o CMakeFiles/kipiplugin_piwigoexport.dir/piwigowindow.cpp.o CMakeFiles/kipiplugin_piwigoexport.dir/piwigotalker.cpp.o -lkdcraw -lkipi -lkexiv2 /usr/lib/libkio.so.5.8.0 /usr/lib/libkdeui.so.5.8.0 ../../../lib/libkipiplugins.so.2.0.0 /usr/lib/libkio.so.5.8.0 /usr/lib/arm-linux-gnueabihf/libQtNetwork.so /usr/lib/arm-linux-gnueabihf/libQtXml.so /usr/lib/libkdeui.so.5.8.0 /usr/lib/arm-linux-gnueabihf/libQtSvg.so /usr/lib/libkdecore.so.5.8.0 /usr/lib/arm-linux-gnueabihf/libQtDBus.so /usr/lib/arm-linux-gnueabihf/libQtCore.so /usr/lib/arm-linux-gnueabihf/libQtGui.so -Wl,-rpath,/build/buildd/digikam-2.5.0/obj-arm-linux-gnueabihf/lib:
make[3]: Leaving directory `/build/buildd/digikam-2.5.0/obj-arm-linux-gnueabihf'
/usr/bin/cmake -E cmake_progress_report /build/buildd/digikam-2.5.0/obj-arm-linux-gnueabihf/CMakeFiles
[ 65%] Built target kipiplugin_piwigoexport
make[2]: Leaving directory `/build/buildd/digikam-2.5.0/obj-arm-linux-gnueabihf'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/build/buildd/digikam-2.5.0/obj-arm-linux-gnueabihf'
dh_auto_build: make -j2 returned exit code 2
make: *** [build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
******************************************************************************
Build finished at 20120216-0119
FAILED [dpkg-buildpackage died]
Purging chroot-autobuild/build/buildd/digikam-2.5.0

Related branches

Changed in digikam (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Rohan Garg (rohangarg) on 2012-03-14
Changed in digikam (Ubuntu):
assignee: nobody → Rohan Garg (rohangarg)
Rohan Garg (rohangarg) on 2012-03-14
Changed in digikam (Ubuntu):
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package digikam - 4:2.5.0-1ubuntu2

---------------
digikam (4:2.5.0-1ubuntu2) precise; urgency=low

  * Add kubuntu_fix_arm_build.patch to fix building
    with armel & armhf (LP: #945343)
    - Fix FTBFS due to attempt to use GL instead of GLES
      + libqt4-opengl-dev, libgl1-mesa-dev, and libglu1-mesa-dev as build-deps
        only on [i386 amd64 powerpc]
  * Add build-dep on dh-apparmor (LP: #948481)
 -- Rohan Garg <email address hidden> Mon, 05 Mar 2012 17:12:54 +0100

Changed in digikam (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers